# 2. Upload a File Replaces an existing attachment on a document with the file uploaded to the given upload slot. Mirrors /bdmanager.upload response shape. Endpoint: POST /bdmanager.edit/{ownerTypedId}/{binaryDataId}/{slot_id} Security: basic, X-PriceFx-jwt ## Path parameters: - `ownerTypedId` (string, required) The TypedId of the document owning the attachment. - `binaryDataId` (string, required) The binaryDataId of the attachment to replace. - `slot_id` (string, required) The upload slot_id containing the new file. ## Request fields (multipart/form-data): - `file` (string) A base64 encoded file data. ## Response 200 fields (application/json): - `response` (object) - `response.data` (array) - `response.data.version` (integer) - `response.data.typedId` (string) - `response.data.embeddedOwner` (string,null) - `response.data.fileName` (string) - `response.data.contentType` (string) - `response.data.length` (integer) - `response.data.userGroupEdit` (string,null) - `response.data.userGroupViewDetails` (string,null) - `response.data.createdByName` (string) - `response.data.lastUpdateByName` (string,null) - `response.data.latestUploadStatusId` (integer) - `response.data.sentViaEmail` (boolean) - `response.data.sender` (string,null) - `response.data.recipients` (string,null) - `response.data.createDate` (string) - `response.data.createdBy` (integer) - `response.data.lastUpdateDate` (string) - `response.data.lastUpdateBy` (integer) - `response.status` (integer)